Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 647816 (CVE-2018-5772) - <media-gfx/exiv2-0.26_p20180811-r2: Uncontrolled recursion in image.cpp:Exiv2::Image::printIFDStructure() can allow a remote attacker to cause a denial of service via a crafted tif file (CVE-2018-5772)
Summary: <media-gfx/exiv2-0.26_p20180811-r2: Uncontrolled recursion in image.cpp:Exiv2...
Status: RESOLVED FIXED
Alias: CVE-2018-5772
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://github.com/Exiv2/exiv2/issues...
Whiteboard: B3 [glsa++ cve]
Keywords:
Depends on: CVE-2018-10780, CVE-2018-10998, CVE-2018-10999, CVE-2018-11531, CVE-2018-12264, CVE-2018-12265
Blocks:
  Show dependency tree
 
Reported: 2018-02-16 01:02 UTC by GLSAMaker/CVETool Bot
Modified: 2018-11-24 21:46 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2018-02-16 01:02:57 UTC
CVE-2018-5772 (https://nvd.nist.gov/vuln/detail/CVE-2018-5772):
  In Exiv2 0.26, there is a segmentation fault caused by uncontrolled
  recursion in the Exiv2::Image::printIFDStructure function in the image.cpp
  file. Remote attackers could leverage this vulnerability to cause a denial
  of service via a crafted tif file.
Comment 1 Andreas Sturmlechner gentoo-dev 2018-09-21 15:08:05 UTC
This should also be fixed since disabling printStructure() in https://github.com/Exiv2/exiv2/pull/180 (bug 647810, media-gfx/exiv2-0.26_p20180811-r2).
Comment 2 Andreas Sturmlechner gentoo-dev 2018-11-11 22:26:32 UTC
Cleanup/KDE done here.
Comment 3 Yury German Gentoo Infrastructure gentoo-dev Security 2018-11-13 06:52:10 UTC
Arches and Maintainer(s), Thank you for your work.

New GLSA Request filed.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2018-11-24 21:45:48 UTC
This issue was resolved and addressed in
 GLSA 201811-14 at https://security.gentoo.org/glsa/201811-14
by GLSA coordinator Aaron Bauman (b-man).
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2018-11-24 21:46:50 UTC
This issue was resolved and addressed in
 GLSA 201811-14 at https://security.gentoo.org/glsa/201811-14
by GLSA coordinator Aaron Bauman (b-man).